require_relative 'lib/dynamicTree/version'

Gem::Specification.new do |spec|
  spec.name          = "dynamicTree"
  spec.version       = DynamicTree::VERSION
  spec.authors       = ["Gitea"]
  spec.email         = ["lwflouisa@riseup.net"]

  spec.summary       = %q{A dynamic decision tree for measuring biometrics from data files.}
  spec.description   = %q{Ive been consistently dissappointed with how limited normal decision trees, and how it's not really possible use both normal decision trees, and multi-factor trees in the same algorithm. Enter Dynamic Tree, which allows you to run a multi factor test and a single factor test for each individual factor in the same movement.}
  spec.homepage      = "https://lwflouisa.github.io/WeaverBlog"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
